# IAX2IeMd5Result Class Reference

`#include <ies.h>`

Inheritance diagram for IAX2IeMd5Result:

[legend]
Collaboration diagram for IAX2IeMd5Result:
[legend]

## Public Member Functions

| IAX2IeMd5Result (BYTE length, BYTE *srcData)
| IAX2IeMd5Result (const PString &newValue)
| IAX2IeMd5Result (const PString &challenge, const PString &password)
| IAX2IeMd5Result (IAX2Encryption &encryption)
void | InitializeChallengePassword (const PString &newChallenge, const PString &newPassword)
virtual void | PrintOn (ostream &str) const
virtual BYTE | GetKeyValue () const
virtual void | StoreDataIn (IAX2IeData &res)
PBYTEArray & | GetDataBlock ()

## Protected Attributes

PBYTEArray | dataBlock

## Detailed Description

An Information Element that contains the MD5 chaallenge result

## Constructor & Destructor Documentation

IAX2IeMd5Result::IAX2IeMd5Result | ( | BYTE | length,
|  | BYTE * | srcData |
| ) |  |  | `[inline]`

Constructor from data read from the network.

Contents are undefined if the network data is bogus/invalid

IAX2IeMd5Result::IAX2IeMd5Result | ( | const PString & | newValue | ) | `[inline]`

Initialise to the supplied string value

IAX2IeMd5Result::IAX2IeMd5Result | ( | const PString & | challenge,
|  | const PString & | password |
| ) |  |  |

Take the challenge and password, calculate the result, and store

IAX2IeMd5Result::IAX2IeMd5Result | ( | IAX2Encryption & | encryption | ) |

Take the supplied Iax2Encrption arguement, calculate the result, and store

## Member Function Documentation

PBYTEArray& IAX2IeMd5Result::GetDataBlock | ( |  | ) | `[inline]`

GetAccess to the stomach, which is the concatanation of the various components used to make a key

virtual BYTE IAX2IeMd5Result::GetKeyValue | ( |  | ) | const`[inline, virtual]`

Get the key value for this particular Information Element class

Reimplemented from IAX2Ie.

void IAX2IeMd5Result::InitializeChallengePassword | ( | const PString & | newChallenge,
|  | const PString & | newPassword |
| ) |  |  |

Initialize the internal structurees

virtual void IAX2IeMd5Result::PrintOn | ( | ostream & | str | ) | const`[virtual]`

print this class (nicely) to the designated stream

Reimplemented from IAX2IeString.

virtual void IAX2IeMd5Result::StoreDataIn | ( | IAX2IeData & | res | ) | `[inline, virtual]`

Take the data from this IAX2Ie, and copy it into the IAX2IeData structure. This is done on processing an incoming frame which contains IAX2Ie in the data section.

Reimplemented from IAX2Ie.

## Field Documentation

PBYTEArray IAX2IeMd5Result::dataBlock `[protected]`

The contents of the stomach in a binary block

The documentation for this class was generated from the following file:

- ies.h